ch.qos.logback.classic.pattern

## Class ThrowableProxyConverter

- java.lang.Object
- - ch.qos.logback.core.pattern.Converter<E>
  - - ch.qos.logback.core.pattern.FormattingConverter<E>
    - - ch.qos.logback.core.pattern.DynamicConverter<ILoggingEvent>
      - - ch.qos.logback.classic.pattern.ClassicConverter
        - - ch.qos.logback.classic.pattern.ThrowableHandlingConverter
          - - ch.qos.logback.classic.pattern.ThrowableProxyConverter

All Implemented Interfaces:
  ContextAware, LifeCycle

Direct Known Subclasses:
  ExtendedThrowableProxyConverter

    public class ThrowableProxyConverter
    extends ThrowableHandlingConverter

Add a stack trace in case the event contains a Throwable.

Author:
  Ceki Gülcü

### Field Summary

Fields
`protected static int` `BUILDER_CAPACITY`

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

### Constructor Summary

Constructors
Constructor and Description
`ThrowableProxyConverter()`

### Method Summary

Methods
`java.lang.String` `convert(ILoggingEvent event)` The convert method is responsible for extracting data from the event and storing it for later use by the write method.
`protected void` `extraData(java.lang.StringBuilder builder, StackTraceElementProxy step)`
`void` `start()` Components that depend on options passed during configuration can override this method in order to make appropriate use of those options.
`void` `stop()`
`protected void` `subjoinSTEPArray(java.lang.StringBuilder buf, int indent, IThrowableProxy tp)`
`protected java.lang.String` `throwableProxyToString(IThrowableProxy tp)`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BUILDER_CAPACITY

    protected static final int BUILDER_CAPACITY

See Also:
  Constant Field Values

### Constructor Detail

#### ThrowableProxyConverter

    public ThrowableProxyConverter()

### Method Detail

#### start

    public void start()

Description copied from class: `DynamicConverter`
Components that depend on options passed during configuration can override this method in order to make appropriate use of those options. For simpler components, the trivial implementation found in this abstract class will be sufficient.

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `DynamicConverter<ILoggingEvent>`

#### stop

    public void stop()

Specified by:
  `stop` in interface `LifeCycle`
Overrides:
  `stop` in class `DynamicConverter<ILoggingEvent>`

#### extraData

    protected void extraData(java.lang.StringBuilder builder,
                 StackTraceElementProxy step)

#### convert

    public java.lang.String convert(ILoggingEvent event)

Description copied from class: `Converter`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.

Specified by:
  `convert` in class `Converter<ILoggingEvent>`

#### throwableProxyToString

    protected java.lang.String throwableProxyToString(IThrowableProxy tp)

#### subjoinSTEPArray

    protected void subjoinSTEPArray(java.lang.StringBuilder buf,
                        int indent,
                        IThrowableProxy tp)